/**************************************************************************************
$Id: io.h,v 1.1 2002/04/20 02:23:06 reddawg Exp $


**************************************************************************************/

#ifndef IO_INCLUDE
#define IO_INCLUDE
 
inline unsigned char inportb(unsigned int port);
inline unsigned char inportw(unsigned int port);
inline void outportb(unsigned int port, unsigned char value);
inline void outportw(unsigned int port, unsigned int value);
inline unsigned char inportb_p(unsigned int port);
inline void outportb_p(unsigned int port, unsigned char value);
inline void outportw_p(unsigned int port, unsigned int value);
 
#endif
